﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.IO;
using System.Runtime.Serialization.Formatters.Binary;

namespace howto_load_serialized_images
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Load a serialization.
        private void mnuFileOpen_Click(object sender, EventArgs e)
        {
            // Get the serialization file name.
            if (ofdSerialization.ShowDialog() == DialogResult.OK)
            {
                // Deserialize.
                using (FileStream fs = new FileStream(
                    ofdSerialization.FileName, FileMode.Open))
                {
                    BinaryFormatter formattter = new BinaryFormatter();
                    List<Image> output_images =
                        (List<Image>)formattter.Deserialize(fs);

                    // Display the images.
                    const int margin = 10;
                    int x = margin;
                    int y = menuStrip1.Bottom + 4;
                    foreach (Image image in output_images)
                    {
                        PictureBox pic = new PictureBox();
                        pic.Location = new Point(x, y);
                        pic.SizeMode = PictureBoxSizeMode.AutoSize;
                        pic.Image = image;
                        pic.BorderStyle = BorderStyle.Fixed3D;
                        pic.Parent = this;
                        x += pic.Width;
                    }
                }
            }
        }

        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Close();
        }
    }
}
